Package org.flowable.bpmn.model

# Class VariableListenerEventDefinition

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.EventDefinition
org.flowable.bpmn.model.VariableListenerEventDefinition

All Implemented Interfaces:
  `HasExtensionAttributes`

public class VariableListenerEventDefinition extends EventDefinition

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CHANGE_TYPE_ALL`
  `static final String`
  `CHANGE_TYPE_CREATE`
  `static final String`
  `CHANGE_TYPE_DELETE`
  `static final String`
  `CHANGE_TYPE_PROPERTY`
  `static final String`
  `CHANGE_TYPE_UPDATE`
  `static final String`
  `CHANGE_TYPE_UPDATE_CREATE`
  `protected String`
  `variableChangeType`
  `protected String`
  `variableName`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VariableListenerEventDefinition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VariableListenerEventDefinition`
  `clone()`
  `String`
  `getVariableChangeType()`
  `String`
  `getVariableName()`
  `void`
  `setValues(VariableListenerEventDefinition otherDefinition)`
  `void`
  `setVariableChangeType(String variableChangeType)`
  `void`
  `setVariableName(String variableName)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CHANGE_TYPE_ALL

    public static final String CHANGE_TYPE_ALL
    See Also:
      - Constant Field Values

  - ### CHANGE_TYPE_UPDATE

    public static final String CHANGE_TYPE_UPDATE
    See Also:
      - Constant Field Values

  - ### CHANGE_TYPE_CREATE

    public static final String CHANGE_TYPE_CREATE
    See Also:
      - Constant Field Values

  - ### CHANGE_TYPE_UPDATE_CREATE

    public static final String CHANGE_TYPE_UPDATE_CREATE
    See Also:
      - Constant Field Values

  - ### CHANGE_TYPE_DELETE

    public static final String CHANGE_TYPE_DELETE
    See Also:
      - Constant Field Values

  - ### CHANGE_TYPE_PROPERTY

    public static final String CHANGE_TYPE_PROPERTY
    See Also:
      - Constant Field Values

  - ### variableName

    protected String variableName

  - ### variableChangeType

    protected String variableChangeType

- ## Constructor Details

  - ### VariableListenerEventDefinition

    public VariableListenerEventDefinition()

- ## Method Details

  - ### getVariableName

    public String getVariableName()

  - ### setVariableName

    public void setVariableName(String variableName)

  - ### getVariableChangeType

    public String getVariableChangeType()

  - ### setVariableChangeType

    public void setVariableChangeType(String variableChangeType)

  - ### clone

    public VariableListenerEventDefinition clone()
    Specified by:
      `clone` in class `EventDefinition`

  - ### setValues

    public void setValues(VariableListenerEventDefinition otherDefinition)